package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.AlumniEndorse;
import com.template.model.pojo.AlumniEndorse;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.AlumniEndorseApplyPageVo;
import com.template.model.vo.AlumniEndorsePageVo;
import com.template.model.vo.ApplicationRecordPageVo;
import com.template.model.vo.MoblieEndorsePageVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-29
 */
public interface AlumniEndorseService extends IService<AlumniEndorse> {
    int insertAlumniEndorse(AlumniEndorse au);

    int updateAlumniEndorse(AlumniEndorse au);

    AlumniEndorse queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<AlumniEndorsePageVo> alumniEndorsePageDatas(int currentPage, int pageCount, Integer collegeId, Integer periodId, Integer majorId, Integer classId, String startTime, String endTime, String keyword);

    PageUtils<AlumniEndorseApplyPageVo> alumniEndorsePageApplyDatas(int currentPage, int pageCount,Integer userId, Integer collegeId, Integer periodId, Integer majorId, Integer classId,
                                                                String startTime, String endTime, String keyword, String name, Integer isPass);

    PageUtils<MoblieEndorsePageVo> mobileEndorsePageDatas(int currentPage, int pageCount, String keyword);

    PageUtils<ApplicationRecordPageVo> applicationRecordDatas(int currentPage, int pageCount, Integer userId,Integer weekType);

    PageUtils<ApplicationRecordPageVo> applicationMyRecordDatas(int currentPage, int pageCount, Integer userId, String name);


    PageUtils<ApplicationRecordPageVo> applicationApproveRecordDatas(int currentPage, int pageCount, Integer userId, String name);
}
